function m0513
%  m0513.m     (Matlab/Simulink R2007b)
%
%  Bild 5.13
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  keine
%
%  (c)15.11.08  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%     Totzeit Tt im Bereich  .5 < Tt < 5
%
%     (Bei Tt=3.9 ist die Phasenreserve Null) 
%
% ########################################################
clear


      Tt=5;     %  Voreinstellung  Tt=1


% ########################################################

menu='none';  % none oder fig
close all
fonts=8;        % Schriftgre auf Grafiken


% Frequenzgang
%  GS
Kps=.8;
T1=10;
szae=Kps;
snen=[T1 1];
[tzae,tnen]=pade(Tt,6);  


%  GR
Kpr=5;
Tn=10;
K=Kpr/Tn;
rzae=K*[Tn 1];
rnen=[ 1 0];

%  GO
ozae=conv(szae,rzae);
onen=conv(snen,rnen);

ozae=conv(ozae,tzae);
onen=conv(onen,tnen);


% Bode-Diagramm:
figure(1)
set(gcf,'Units','normal','Position',[.5 .2 .5 .5], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 5.13');
buch(gcf)

wmin=0.001; wmax=100;
w=logspace(log10(wmin),log10(wmax),200);

[sbetr,sphas,w]=bode(szae,snen,w);
[tbetr,tphas,w]=bode(tzae,tnen,w);
[rbetr,rphas,w]=bode(rzae,rnen,w);
[obetr,ophas,w]=bode(ozae,onen,w);

dBachs=[-5:5]*20;
phachs=[-5:5]*90;

subplot(2,1,1)
sbetr=20*log10(sbetr);
tbetr=20*log10(tbetr);
rbetr=20*log10(rbetr);
obetr=20*log10(obetr);
semilogx(w,sbetr,'g',w,rbetr,'m',w,obetr,'b')
grid on, hold on
set(gca,'FontSize',fonts,'YTick',dBachs);
axis([wmin wmax -40 60])
title('Bode-Diagramm: G_O blau, G_{S1} grn, G_{S2} cyan, G_R magenta')
xlabel('\omega (rad/s) \rightarrow')
ylabel('| G |_{dB} \rightarrow')
db1=[.1 100]; db2=[ 0 0 ];
plot(db1,db2,'k')
semilogx(w,tbetr,'c--')

subplot(2,1,2)
semilogx(w,sphas,'g',w,tphas,'c--',w,rphas,'m',w,ophas,'b')
grid on, hold on
set(gca,'FontSize',fonts,'YTick',phachs);
axis([wmin wmax -200 10])
semilogx(w,tphas,'c--')
grd1=[.001 100]; grd2=[ -180 -180 ];
plot(grd1,grd2,'w')
grd1=[.001 100]; grd2=[ 0 0 ];
plot(grd1,grd2,'k')
xlabel('\omega (rad/s) \rightarrow')
ylabel('/\_G \rightarrow')




















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')


