function m0809
%  m0809.m     (Matlab/Simulink R2007b)
%
%  Bild 8.9 
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  s0809.mdl
%
%  (c)15.11.08  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%  
%
% ########################################################
clear


% ########################################################

menu='none';  % none oder fig
close all
fonts=8;

open_system('s0809')  

a1=-0.76;
b1=1.16;   
T=20;      


% In Workspace ablegen (fr Simulink)
assignin('base','T',T)
assignin('base','a1',a1)
assignin('base','b1',b1)




te=300; 

opts=simset('Solver','FixedStepDiscrete',...
    'InitialState',[],...
    'FixedStep',T);
[tk,xk,yk]=sim('s0809',[0 te],opts);


figure(1)
set(gcf,'Units','normal','Position',[.01 .1 .45 .25], ...
    'NumberTitle','on','MenuBar',menu,...
    'Name',' Pumpenspannung (V)');
buch(gcf)  

plot(tk,yk(:,1),'x','LineW',2), grid on
set(gca,'FontSize',fonts);
axis([0 te 0 1.2]); 


figure(2)
set(gcf,'Units','normal','Position',[.49 .1 .45 .25], ...
    'NumberTitle','on','MenuBar',menu,...
    'Name',' Fllstand (cm)');
buch(gcf)  

plot(tk,yk(:,2),'x','LineW',2), grid on
set(gca,'FontSize',fonts);
axis([0 te 0 5]); 





















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')

